//
//  ViewController.m
//  UIWindowDemo
//
//  Created by wangmiao on 16/4/22.
//  Copyright © 2016年 wangmiao. All rights reserved.
//

#import "ViewController.h"
#import "WMStatusBar.h"

@interface ViewController ()
@property (strong, nonatomic) UIButton  *  successButton;
@property (strong, nonatomic) UIButton  *  errorButton;
@property (strong, nonatomic) UIButton  *  loadingButton;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.view addSubview:self.successButton];
    [self.view addSubview:self.errorButton];
    [self.view addSubview:self.loadingButton];
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    self.successButton.frame = CGRectMake(100, 100, 50, 50);
    self.errorButton.frame = CGRectMake(100, 160, 50, 50);
    self.loadingButton.frame = CGRectMake(100, 220, 50, 50);
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    [WMStatusBar hide];
}

- (void)showSuccess
{
    [WMStatusBar showSuccess:@"加载成功"];
}

- (void)showError
{
    [WMStatusBar showError:@"加载失败"];
}

- (void)loadingView
{
    [WMStatusBar showLoading:@"正在加载"];
}

#pragma mark - 控件的懒加载
- (UIButton *)successButton
{
    if (!_successButton) {
        _successButton = [[UIButton alloc] init];
        _successButton.backgroundColor = [UIColor redColor];
        [_successButton setTitle:@"成功" forState:UIControlStateNormal];
        [_successButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [_successButton addTarget:self action:@selector(showSuccess) forControlEvents:UIControlEventTouchUpInside];
    }
    return  _successButton;
}

- (UIButton *)errorButton
{
    if (!_errorButton) {
        _errorButton = [[UIButton alloc] init];
        _errorButton.backgroundColor = [UIColor redColor];
        [_errorButton setTitle:@"失败" forState:UIControlStateNormal];
        [_errorButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [_errorButton addTarget:self action:@selector(showError) forControlEvents:UIControlEventTouchUpInside];
    }
    return _errorButton;
}

- (UIButton *)loadingButton
{
    if (!_loadingButton) {
        _loadingButton = [[UIButton alloc] init];
        _loadingButton.backgroundColor = [UIColor redColor];
        [_loadingButton setTitle:@"加载" forState:UIControlStateNormal];
        [_loadingButton setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [_loadingButton addTarget:self action:@selector(loadingView) forControlEvents:UIControlEventTouchUpInside];
    }
    return _loadingButton;
}

@end
