//
//  WMStatusBar.h
//  UIWindowDemo
//
//  Created by wangmiao on 16/4/22.
//  Copyright © 2016年 wangmiao. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface WMStatusBar : NSObject

/**
 *  显示加载信息
 *
 *  @param message 加载信息
 *  @param image   提示图片
 */
+ (void)showMessage:(NSString *)message image:(UIImage *)image;

/**
 *  普通加载
 *
 *  @param message 加载信息
 */
+ (void)showMessage:(NSString *)message;

/**
 *  显示成功的信息
 *
 *  @param message 成功信息显示的内容
 */
+ (void)showSuccess:(NSString *)message;

/**
 *  显示失败的信息
 *
 *  @param message 失败信息显示的内容
 */
+ (void)showError:(NSString *)message;

/**
 *  正在加载
 *
 *  @param message 正在加载的信息
 */
+ (void)showLoading:(NSString *)message;


/**
 *  隐藏
 */
+ (void)hide;

@end
